%define shortname canberra

# Majors
%define major 0
%define major_gtk 0

# Library names
%define libname %mklibname %{shortname} %{major}
%define libname_gtk %mklibname %{shortname}-gtk %{major_gtk}
%define libname_gtk3 %mklibname %{shortname}-gtk3_ %{major_gtk}
%define	libname_gtkdevel %mklibname -d %{shortname}-gtk
%define libname_gtk3devel %mklibname -d %{shortname}-gtk3
%define libname_devel %mklibname -d %{shortname}

Summary:	XDG compliant sound event library
Name:		libcanberra
Version:	0.30
Release:	%mkrel 4
Source0:	http://0pointer.de/lennart/projects/libcanberra/%{name}-%{version}.tar.xz
Source1:	%{name}-gtk-module.sh
Source2:	%{shortname}-profile-d.sh
Source3:	%{shortname}-alsa.conf
Source4:	%{shortname}-pulse.conf
Source5:	%{name}.xinit
Patch0:		libcanberra-0.28-linkage.patch
Patch1:		0001-gtk-Don-t-assume-all-GdkDisplays-are-GdkX11Displays-.patch
License:	LGPLv2+
Group:		System/Libraries
Url:		http://0pointer.de/lennart/projects/libcanberra/
BuildRequires:	gtk+2-devel
BuildRequires:	gtk+3-devel
BuildRequires:	libalsa-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libltdl-devel
BuildRequires:	gtk-doc
BuildRequires:	tdb-devel
BuildRequires:	pulseaudio-devel
BuildRequires:	gstreamer1.0-devel
BuildRequires:	gettext-devel
###BuildRequires:	libGConf2-devel

Obsoletes:	%{name} < %{version}-%{release}

%description
A small and lightweight implementation of the XDG Sound Theme Specification
(http://0pointer.de/public/sound-theme-spec.html).

%package -n %{shortname}-common
Summary:	Common files needed for libcanberra
Group:		System/Libraries
Requires:	sound-theme-freedesktop
Requires(post):  rpm-helper
Requires(preun): rpm-helper

%description -n %{shortname}-common
Common files needed for libcanberra

%package -n %{libname}
Summary:	XDG complient sound event library
Group:		System/Libraries
Requires:	%{shortname}-common

%description -n %{libname}
A small and lightweight implementation of the XDG Sound Theme Specification
(http://0pointer.de/public/sound-theme-spec.html).

%package -n %{shortname}-gtk
Summary:	GTK utilities for the %{name} XDG complient sound event library
Group:		System/Libraries
Obsoletes:	%{name}-gtk2

%description -n %{shortname}-gtk
GTK specific utilities for %{name}, a small and lightweight implementation of
the XDG Sound Theme Specification (http://0pointer.de/public/sound-theme-spec.html).

%package -n %{libname_gtk}
Summary:	GTK modules for the %{name} XDG complient sound event library
Group:		System/Libraries
Requires:	%{shortname}-gtk = %{version}-%{release}

%description -n %{libname_gtk}
GTK specific libraries for %{name}, a small and lightweight implementation of
the XDG Sound Theme Specification (http://0pointer.de/public/sound-theme-spec.html).

%package -n %{libname_gtk3}
Summary:	GTK 3 modules for the %{name} XDG complient sound event library
Group:		System/Libraries
Requires:	%{shortname}-gtk >= %{version}-%{release}
Obsoletes:	%{_lib}%{shortname}-gtk30 < 0.28-3

%description -n %{libname_gtk3}
GTK specific libraries for %{name}, a small and lightweight implementation of
the XDG Sound Theme Specification (http://0pointer.de/public/sound-theme-spec.html).

%package -n %{libname_gtkdevel}
Summary:	GTK modules for the %{name} XDG complient sound event library
Group:		System/Libraries
Provides:	%{name}-gtk-devel = %{version}-%{release}
Requires:	%{libname_gtk} = %{version}-%{release}

%description -n %{libname_gtkdevel}
GTK specific libraries for %{name}, a small and lightweight implementation of
the XDG Sound Theme Specification (http://0pointer.de/public/sound-theme-spec.html).

%package -n %{libname_gtk3devel}
Summary:	GTK modules for the %{name} XDG complient sound event library
Group:		System/Libraries
Provides:	%{name}-gtk3-devel = %{version}-%{release}
Requires:	%{libname_gtk3} = %{version}-%{release}

%description -n %{libname_gtk3devel}
GTK specific libraries for %{name}, a small and lightweight implementation of
the XDG Sound Theme Specification (http://0pointer.de/public/sound-theme-spec.html).

%package -n %{libname_devel}
Summary:	Headers and libraries for %{name} development
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{libname_devel}
Development files for %{name}, a small and lightweight implementation of
the XDG Sound Theme Specification (http://0pointer.de/public/sound-theme-spec.html).


%prep
%setup -q
%apply_patches


%build
%configure2_5x \
	--disable-oss \
	--disable-static \
	--with-builtin=dso \
	--enable-null \
	--enable-alsa \
	--enable-gstreamer \
	--enable-pulse \
	--with-systemdsystemunitdir=no 

%make

%install
%makeinstall_std

# Remove metalink libraries
find %{buildroot} -name *.la -delete

#install -D -m755  %{SOURCE1} %{buildroot}%{_sysconfdir}/X11/xinit.d/libcanberra-gtk-module.sh
install -D -m644  %{SOURCE2} %{buildroot}%{_sysconfdir}/profile.d/40canberra.sh
install -D -m644  %{SOURCE3} %{buildroot}%{_sysconfdir}/sound/profiles/alsa/canberra.conf
install -D -m644  %{SOURCE4} %{buildroot}%{_sysconfdir}/sound/profiles/pulse/canberra.conf
install -D -m755  %{SOURCE5} %{buildroot}%{_sysconfdir}/X11/xinit.d/40-libcanberra-gtk-module.sh

# Remove the multi output module until it's more stable
rm -f %{buildroot}%{_libdir}/libcanberra-%{version}/libcanberra-multi.so
rm -f %{buildroot}/%{_bindir}/canberra-boot

# handle docs in files section
rm -rf %{buildroot}%{_defaultdocdir}

%files -n %{shortname}-common
%{_sysconfdir}/profile.d/40canberra.sh
%{_sysconfdir}/sound/profiles/alsa/canberra.conf
%{_sysconfdir}/sound/profiles/pulse/canberra.conf

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}*
%dir %{_libdir}/%{name}-%{version}
%{_libdir}/%{name}-%{version}/%{name}-alsa.so
%{_libdir}/%{name}-%{version}/%{name}-pulse.so
%{_libdir}/%{name}-%{version}/%{name}-null.so
%{_libdir}/%{name}-%{version}/%{name}-gstreamer.so

%files -n %{libname_gtk}
%{_libdir}/%{name}-gtk.so.%{major_gtk}*
%{_libdir}/gtk-2.0/modules/%{name}-gtk-module.so

%files -n %{libname_gtk3}
%{_libdir}/%{name}-gtk3.so.%{major_gtk}*
%{_libdir}/gtk-3.0/modules/%{name}-gtk3-module.so
%{_libdir}/gtk-3.0/modules/libcanberra-gtk-module.so

%files -n %{shortname}-gtk
%{_sysconfdir}/X11/xinit.d/40-libcanberra-gtk-module.sh
%{_bindir}/canberra-gtk-play
%{_datadir}/gdm/autostart/LoginWindow/libcanberra-ready-sound.desktop
%{_datadir}/gnome/autostart/libcanberra-login-sound.desktop
%{_datadir}/gnome/shutdown/libcanberra-logout-sound.sh
%{_libdir}/gnome-settings-daemon-3.0/gtk-modules/canberra-gtk-module.desktop

%files -n %{libname_gtkdevel}
%doc %{_datadir}/gtk-doc/html/%{name}
%doc README
%{_includedir}/%{shortname}-gtk.h
%{_libdir}/%{name}-gtk.so
%{_libdir}/pkgconfig/%{name}-gtk.pc
%{_datadir}/vala/vapi/libcanberra-gtk.vapi

%files -n %{libname_gtk3devel}
%doc %{_datadir}/gtk-doc/html/%{name}
%doc README
%{_includedir}/%{shortname}-gtk.h
%{_libdir}/libcanberra-gtk3.so
%{_libdir}/pkgconfig/libcanberra-gtk3.pc
%{_datadir}/vala/vapi/libcanberra-gtk.vapi

%files -n %{libname_devel}
%doc README
%{_includedir}/%{shortname}.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/vala/vapi/libcanberra.vapi

%changelog
* Fri Oct 18 2019 onkelho <oh-quait at gmail.com> - 0.30-4pclos2019
- rebuild 
- change s1 to s5 (from AUR better code) --set 40- to load after dbus
- add pulse + gstreamer plugins

* Wed Feb 20 2019 tex - 0.30-3pclos2019
- rebuild against updates

* Wed May 17 2017 bb2 <bb2> 0.30-2pclos2017
- rework this
